Tweak Control.Lens import for better compatibility
authorGreg Hurrell <greg@hurrell.net>
Thu, 16 Jun 2016 14:32:31 +0000 (07:32 -0700)
committerGreg Hurrell <greg@hurrell.net>
Thu, 16 Jun 2016 14:32:31 +0000 (07:32 -0700)
commitc9efe9d7b010adbd11b5cd59fff24cc05c38564b
tree798c8ee7747ed211871836c695d5772a2b019730
parent5ad9b0f4cdc6a7c4f7d21f993309bb9d89851604
Tweak Control.Lens import for better compatibility

One of the CI runs blowing up:

    /home/travis/build/wincent/docvim/lib/Text/Docvim/Optimize.hs:3:1: Warning:
        Module ‘Control.Lens’ does not export ‘Empty’
    <no location info>:
    Failing due to -Werror.

Source: https://travis-ci.org/wincent/docvim/jobs/138094062

I'm going to turn off `-Werror` in CI and keep it locally, but in the meantime I
think I can get compatibility with a wider range of Lens versions if I switch
the import to not mention `Empty`.

See also: https://github.com/wincent/docvim/issues/24
lib/Text/Docvim/Optimize.hs